import java.io.Serializable;

public class Biglietto implements Serializable {
    private String destinazione;
    private String cognome;
    private String nome;
    private int eta;
    private double prezzo;

    public Biglietto(String destinazione, String cognome, String nome, int eta, double prezzo) {
        this.destinazione = destinazione;
        this.cognome = cognome;
        this.nome = nome;
        this.eta = eta;
        this.prezzo = prezzo;
    }

    @Override
    public String toString() {
        return String.format("Destinazione %s; cognome: %s; nome: %s; età: %d; prezzo: %.2f Euro",
                destinazione, cognome, nome, eta, prezzo);
    }

    public String getDestinazione() {
        return destinazione;
    }

    public String getCognome() {
        return cognome;
    }

    public String getNome() {
        return nome;
    }

    public int getEta() {
        return eta;
    }

    public double getPrezzo() {
        return prezzo;
    }


}
