# Crociera panoramica in battello

&copy; 2023 - prof. Roberto Fuligni

Soluzione dell'esercizio "Crociera panoramica in battello".

## Testo dell'esercizio

Realizzare un'applicazione C/S per la vendita di biglietti per una crociera panoramica in battello da N posti.
* Il client si collega sulla porta 5080/tcp del server per acquistare un biglietto.
* Il server rimane in ascolto a ciclo continuo e risponde con il messaggio "ACCETTATO" se ci sono posti disponibili sul battello; in caso contrario invia la frase "NON ACCETTATO" e chiude la connessione.
* Il client invia i seguenti dati: cognome, nome, età in anni.
* Il server riceve la richiesta, decrementa il numero di posti disponibili ed emette il biglietto contenente i dati: Destinazione (Arona), cognome, nome, età, prezzo. Il prezzo è determinato secondo il seguente criterio: clienti minorenni = 25,00 Euro, maggiorenni 32,50 Euro. I dati del biglietto sono prima stampati a video e successivamente inviati al client.
* Il client, ricevuto il biglietto, stampa i dati contenuti e si mette in attesa di ricevere il segnale di inizio della crociera.
* Il server, dopo aver venduto tutti i biglietti disponibili (N in tutto), invia a tutti i client il messaggio "PARTENZA" e chiude le connessioni
	
## Caratteristiche della soluzione

* Applicazione clinet/server sviluppata in Java 11
* Server multithread in ascolto sulla porta 5080/tcp

